Bug 978131 - Start JBoss Enterprise Application Platform 6 as a Managed Domain
Start JBoss Enterprise Application Platform 6 as a Managed Domain
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: EAP 6.1.1
Assigned To: Russell Dickenson
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-25 23:25 EDT by belong
Modified: 2014-08-14 11:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Instance Name: Not Defined Build: CSProcessor Builder Version 1.8 Build Name: 14874, Administration and Configuration Guide-6.2-1 Build Date: 24-05-2013 14:11:01
Last Closed: 2013-09-16 16:24:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description belong 2013-06-25 23:25:32 EDT
Title: Start JBoss Enterprise Application Platform 6 as a Managed Domain

Describe the issue:

I suspect when starting EAP in Domain mode, it has to be started first on the master node and then on all the slave nodes. If so, it would be good for the documentation to be updated with these instructions.
Comment 1 Misty Stanley-Jones 2013-06-26 01:44:47 EDT
Addressed in revision 471347 with the following text:

	<formalpara>
		<title>Order of Operations</title>
		<para>
			The domain controller must be started before any slave servers in any server groups in the domain.
		</para>
	</formalpara>
Comment 2 belong 2013-06-26 02:11:28 EDT
That wording tells us to start it on the domain controller first, but it does not say explicitly that it also has to be started on all of the slave servers in the domain.

Would something like this be better:

        <formalpara>
		<title>Order of Operations</title>
		<para>
			This script must be run on the domain controller first, then on all slave servers for any server groups in the domain.
		</para>
	</formalpara>
Comment 3 Misty Stanley-Jones 2013-06-26 02:14:14 EDT
It's not a script. It is a series of steps. How about this:

	<formalpara>
		<title>Order of Operations</title>
		<para>
			The domain controller must be started before any slave servers in any server groups in the domain. Use this procedure furst on the domain controller, and then on each associated host controller and each other host associated with the domain.
		</para>
	</formalpara>
Comment 5 belong 2013-06-26 20:18:57 EDT
Corrected typo: furst -> first

Verified in http://skynet.usersys.redhat.com:8080/pressgang-ccms-ui/#DocBuilderView;14874

Note You need to log in before you can comment on or make changes to this bug.